// ------------- READS51 generated header -------------- 
// module  : C:\Rigel\Reads51\Rita\NetApi51\NetApi51.h
// created : 10:05:59, Tuesday, July 17, 2001
// ----------------------------------------------------- 

// initialization modes
#define IM_PROMISCUOUS 4
#define IM_BROADCAST   2
#define IM_INDIVIDUAL  1

// transmit errors
#define TERR_BUSY      1
#define TERR_BID       2

// NetServiceMsgs return codes
#define NSM_RX_ERR    -1
#define NSM_TX_ERR    -2
#define NSM_UNKOWNMSG -3
#define NSM_UNSUPMSG  -4
#define NSM_NOTOURIP  -5
#define NSM_NOMSG      0
#define NSM_OK         1

// prototypes

// functions from module "NetworkLow"
void  NetSetEtherAddress(unsigned int u2, unsigned int u1, unsigned int u0);
void  NetSetIPAddress(unsigned int u1, unsigned int u0);
int   NetInitialize(int uMode);
int   NetServiceMsgs(int nProcessArpIcmp);
int   NetTransmitFrame(int nSize);

int   NetGetUdpMsg(char *szMsg, int bExactEA);
int   NetSendUdpMsg(char *szMsg, int nSize);
char *NetGetTxEtherBase(void);
char *NetGetRxEtherBase(void);
char *NetGetRxIpBase(void);

// functions from module "Network"
int   NetGetRxIpHeaderSize(void);
char *NetGetRxUdpBase(void);

int   NetGetUdpInSrcPort(void);
int   NetGetUdpInDestPort(void);
void  NetGetUdpInSrcEthernAddress(char *pcSrcEther);
void  NetGetUdpInSrcIpAddress(char *pcSrcIP);

void  NetSetUdpOutSrcPort(int nPort);
void  NetSetUdpOutDestPort(int nPort);
void  NetSetUdpOutDestEthernAddress(char *pcDestEther);
void  NetSetUdpOutDestIpAddress(char *pcDestIP);

// ----------------------------------------------------- 

